# 命名和设计规范

* 在产品内部，接口会有一个抽象类实现，命名方式为Abstract+接口名，而在SDK中推荐使用Base+接口名来命名开放给插件使用的抽象类。

* 在产品内部，工具类工厂是以+Utils或者+Helper结尾的，而在SDK中推荐使用+Kit的方式作为工具类类名的结尾。

* 所有的包名字，都必须由一个个独立的小写的单词组成，务必不能混扎多单词组合、驼峰命名等。

* com.fanruan.api.design下均是提供给插件设计器部分使用的API。

* com.fanruan.api.report下均是提供给报表插件服务器部分使用的API。

* com.fanruan.api.decision下均是提供给插件调用的平台相关的API，包括但不限于：用户管理、登入登出、权限管理、模板管理等。
