package com.fanruan.api.cluster;

import com.fr.cluster.ClusterBridge;
import com.fr.cluster.core.ClusterNode;
import com.fr.cluster.core.ClusterView;
import com.fr.stable.Filter;

import java.util.List;

/**
 * @author Lucian.Chen
 * @version 10.0
 * Created by Lucian.Chen on 2020/3/23
 */
public class ClusterBridgeKit {

    public static ClusterNode getCurrentNode() {
        return ClusterBridge.getView().getCurrent();
    }

    public static ClusterNode getNodeById(String var1) {
        return ClusterBridge.getView().getNodeById(var1);
    }

    public static List<ClusterNode> listNodes() {
        return ClusterBridge.getView().listNodes();
    }

    public static List<ClusterNode> listNodes(Filter<ClusterNode> var1) {
        return ClusterBridge.getView().listNodes(var1);
    }

    public static boolean isClusterMode() {
        return ClusterBridge.isClusterMode();
    }


}
