package com.fanruan.api.cluster.state;


import com.fr.store.impl.accessor.FineStorePool;
import com.fr.store.impl.accessor.api.FineStoreWrapper;

/**
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2019/12/3
 */
public class FineJedisPoolKit {

    /**
     * 设置提供真实资源的 Jedis 包装对象
     * @param jedisWrapper Jedis 包装对象
     */
    public static void setRealClient(FineStoreWrapper jedisWrapper) {

        FineStorePool.getInstance().setRealClient(jedisWrapper);
    }
}
