package com.fanruan.api.cluster.state;

import com.fr.store.impl.redis.RedisConfig;

/**
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2019/12/3
 */
public class RedisConfigKit {

    /**
     * 获取 Redis 里表名的统一的前缀
     * @return Redis 里表名的统一的前缀
     */
    public static String getTableNamePrefix() {
        return RedisConfig.getInstance().getTableNamePrefix();
    }

    /**
     * 获取 Redis 里过期 key 删除间隔时间
     * @return Redis 里过期 key 删除间隔时间
     */
    public static int getExpireStateRemoveInterval() {
        return RedisConfig.getInstance().getExpireStateRemoveInterval();
    }
}
