package com.fanruan.api.decision.login;

import com.fr.decision.webservice.bean.authentication.LoginResponseInfoBean;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/14
 */
public class OpenLoginResponse {

    private LoginResponseInfoBean response;

    public static OpenLoginResponse create() {
        return wrap(new LoginResponseInfoBean());
    }

    static OpenLoginResponse wrap(LoginResponseInfoBean response) {
        return new OpenLoginResponse(response);
    }

    private OpenLoginResponse(LoginResponseInfoBean response) {
        this.response = response;
    }

    LoginResponseInfoBean select() {
        return response;
    }

    public String getAccessToken() {
        return response.getAccessToken();
    }

    public void setAccessToken(String accessToken) {
        response.setAccessToken(accessToken);
    }

    public String getCallback() {
        return response.getCallback();
    }

    public void setCallback(String callback) {
        response.setCallback(callback);
    }

    public String getUsername() {
        return response.getUsername();
    }

    public void setUsername(String username) {
        response.setUsername(username);
    }

    public int getValidity() {
        return response.getValidity();
    }

    public void setValidity(int validity) {
        response.setValidity(validity);
    }

    public String getUrl() {
        return response.getUrl();
    }

    public void setUrl(String url) {
        response.setUrl(url);
    }
}
