package com.fanruan.api.design.ui.component;

import javax.swing.*;

/**
 * @author Bjorn
 * @version 10.0
 * Created by Bjorn on 2019-09-19
 * 按钮组
 */
public class UIButtonGroup<T> extends com.fr.design.gui.ibutton.UIButtonGroup<T> {

    /**
     * 创建一个有不同文本的按钮组
     *
     * @param textArray 用于表示的选项的字符串数组
     */
    public UIButtonGroup(String[] textArray) {
        super(textArray);
    }

    /**
     * 创建一个有不同图标的按钮组
     *
     * @param iconArray 用于表示的选项的图标数组
     */
    public UIButtonGroup(Icon[] iconArray) {
        super(iconArray);
    }

    public UIButtonGroup(Icon[][] iconArray) {
        super(iconArray);
    }

    public UIButtonGroup(Icon[] iconArray, T[] objects) {
        super(iconArray, objects);
    }

    public UIButtonGroup(Icon[][] iconArray, T[] objects) {
        super(iconArray, objects);
    }
}
