package com.fanruan.api.design.ui.component.code;

import com.fr.design.gui.syntax.ui.rtextarea.RTextScrollPane;

import java.awt.*;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-08-28
 * 可滚动、可显示文本行信息和设置行号颜色的滚动器容器
 */
public class UISyntaxTextScrollPane extends RTextScrollPane {

    /**
     * 构建默认的可滚动容器
     */
    public UISyntaxTextScrollPane() {
        super();
    }

    /**
     * 构建包含指定代码编辑器的滚动容器（显示行号）
     *
     * @param component 代码编辑器
     */
    public UISyntaxTextScrollPane(Component component) {
        super(component);
    }

    /**
     * 构建包含指定代码编辑器的滚动容器
     *
     * @param component   代码编辑器
     * @param lineNumbers true表示显示行号，否则不显示行号
     */
    public UISyntaxTextScrollPane(Component component, boolean lineNumbers) {
        super(component, lineNumbers);
    }

    /**
     * 构建包含指定代码编辑器的滚动容器
     *
     * @param component       代码编辑器
     * @param lineNumbers     true表示显示行号，否则不显示行号
     * @param lineNumberColor 行号颜色
     */
    public UISyntaxTextScrollPane(Component component, boolean lineNumbers, Color lineNumberColor) {
        super(component, lineNumbers, lineNumberColor);
    }
}
