package com.fanruan.api.report.executor;

import com.fr.main.TemplateWorkBook;
import com.fr.main.workbook.PageRWorkBook;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.report.stable.fun.Actor;
import com.fr.stable.ActorConstants;
import com.fr.stable.ActorFactory;

import java.util.Map;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/12
 * 分页预览执行器
 */
public class PageWorkBookExecutor extends BaseWorkBookExecutor {

    public PageWorkBookExecutor(TemplateWorkBook templateWorkBook, Map<String, Object> map) {
        super(templateWorkBook, map);
    }

    @Override
    public Actor getExeType() {
        return ActorFactory.getActor(ActorConstants.TYPE_PAGE);
    }

    @Override
    public ResultWorkBook initResultBook(Map<String, Object> map) {
        return new PageRWorkBook(map);
    }
}
