package com.fanruan.api.report.executor;

import com.fanruan.api.report.executor.BaseWorkBookExecutor;
import com.fr.main.TemplateWorkBook;
import com.fr.main.workbook.AnalyRWorkBook;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.report.stable.fun.Actor;
import com.fr.stable.ActorFactory;

import java.util.Map;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/12
 * 分析预览执行器
 */
public class ViewWorkBookExecutor extends BaseWorkBookExecutor {

    public ViewWorkBookExecutor(TemplateWorkBook templateWorkBook, Map<String, Object> map) {
        super(templateWorkBook, map);
    }

    @Override
    public Actor getExeType() {
        return ActorFactory.getActor("view");
    }

    @Override
    public ResultWorkBook initResultBook(Map<String, Object> map) {
        return new AnalyRWorkBook(map);
    }
}
