package com.fanruan.api.report.executor;

import com.fr.main.TemplateWorkBook;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.report.stable.fun.Actor;
import com.fr.stable.ActorConstants;
import com.fr.stable.ActorFactory;
import com.fr.write.main.WriteRWorkBook;

import java.util.Map;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/12
 * 填报预览执行器
 */
public class WriteWorkBookExecutor extends BaseWorkBookExecutor {

    public WriteWorkBookExecutor(TemplateWorkBook templateWorkBook, Map<String, Object> map) {
        super(templateWorkBook, map);
    }

    @Override
    public Actor getExeType() {
        return ActorFactory.getActor(ActorConstants.TYPE_WRITE);
    }

    @Override
    public ResultWorkBook initResultBook(Map<String, Object> map) {
        return new WriteRWorkBook(map);
    }
}
