package com.fanruan.api.cluster.state;

import com.fr.collections.config.CollectionsConfig;
import com.fr.store.impl.accessor.api.impl.AbstractFineStoreGenericPool;

/**
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2020/4/26
 * 供插件使用
 * 设置资源连接池, 注册实际资源
 */
public abstract class BaseFineStoreGenericPool<T> extends AbstractFineStoreGenericPool<T> {

    @Override
    public abstract boolean accept(CollectionsConfig config);

    @Override
    public abstract BaseFineStoreWrapper refresh(T redisConfig);
}
