package com.fanruan.api.decision.auth;

import com.fr.decision.authorize.impl.AbstractPassport;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-19
 * 认证方式
 */
public abstract class BasePassport extends AbstractPassport {

    /**
     * 检查登录信息是否有效
     *
     * @param username      用户名
     * @param inputPassword 输入的密码
     * @param savedPassword 配置文件中保存的密码
     * @param hashPassword  哈希后的密码
     * @return 登录凭证是有效的则返回true，否则返回false
     */
    public boolean checkTicket(String username, String inputPassword, String savedPassword, String hashPassword) {
        return false;
    }
}
