package com.fanruan.api.decision.login;

import com.fr.decision.webservice.bean.authentication.LoginRequestInfoBean;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/14
 */
public class OpenLoginRequest {

    private LoginRequestInfoBean request;

    public static OpenLoginRequest create() {
        return wrap(new LoginRequestInfoBean());
    }

    static OpenLoginRequest wrap(LoginRequestInfoBean request) {
        return new OpenLoginRequest(request);
    }

    private OpenLoginRequest(LoginRequestInfoBean request) {
        this.request = request;
    }

    LoginRequestInfoBean select() {
        return request;
    }

    public String getUsername() {
        return request.getUsername();
    }

    public void setUsername(String username) {
        request.setUsername(username);
    }

    public String getPassword() {
        return request.getPassword();
    }

    public void setPassword(String password) {
        request.setPassword(password);
    }

    public int getValidity() {
        return request.getValidity();
    }

    public void setValidity(int validity) {
        request.setValidity(validity);
    }

    public String getMacAddress() {
        return request.getMacAddress();
    }

    public void setMacAddress(String macAddress) {
        request.setMacAddress(macAddress);
    }

    public String getDeviceName() {
        return request.getDeviceName();
    }

    public void setDeviceName(String deviceName) {
        request.setDeviceName(deviceName);
    }

    public String getOrigin() {
        return request.getOrigin();
    }

    public void setOrigin(String origin) {
        request.setOrigin(origin);
    }

    public String getSliderToken() {
        return request.getSliderToken();
    }

    public void setSliderToken(String sliderToken) {
        request.setSliderToken(sliderToken);
    }

    public boolean isEncrypted() {
        return request.isEncrypted();
    }

    public void setEncrypted(boolean encrypted) {
        request.setEncrypted(encrypted);
    }
}
