package com.fanruan.api.generic.adapter;

import com.fr.stable.core.PropertyChangeAdapter;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019/10/30
 * 事件适配器
 */
public class BasePropertyChangeAdapter<T> extends PropertyChangeAdapter<T> {

    /**
     * 属性改变是执行的方法，根据不同的需求做不同的实现，不带参数
     */
    public void propertyChange() {

    }

    /**
     * 属性改变是执行的方法，根据不同的需求做不同的实现，带一个参数
     *
     * @param mark 执行具体操作时所携带的参数
     */
    public void propertyChange(T mark) {

    }

    /***
     * 属性改变是执行的方法，根据不同的需求做不同的实现，带可变个参数
     * @param marks 参数
     */
    public void propertyChange(T... marks) {

    }
}
