package com.fanruan.api.report;

import com.fr.stable.html.Tag;
import com.fr.stable.web.Repository;
import com.fr.web.BaseHTMLWriterUtils;

import java.awt.*;

public class BaseHTMLWriterKit {

    /**
     * 根据原始的图片和指定的尺寸以及报表上下文生成图片的HTML标签，该方法只生成一个简单的img标签
     * @param image 原始图片
     * @param dimension 指定尺寸
     * @param repo 报表上下文
     * @return img图片标签
     */
    public static Tag createImageTag4RepoWithCheckVml(Image image, Dimension dimension, Repository repo){
        return BaseHTMLWriterUtils.createImageTag4RepoWithCheckVml(image, dimension, repo);
    }
}
