package com.fanruan.api.report.form.describer;

import com.fr.data.act.Describer;
import com.fr.json.JSONObject;
import com.fr.stable.script.CalculatorProvider;
import com.fr.stable.web.Repository;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLable;
import com.fr.stable.xml.XMLableReader;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-10
 */
public class RepeatDescriber implements Describer, XMLable {

    public static final String XML_TAG = "RepeatDescriber";

    private boolean removeRepeat = true;

    public boolean isRemoveRepeat() {
        return this.removeRepeat;
    }

    public void setRemoveRepeat(boolean removeRepeat) {
        this.removeRepeat = removeRepeat;
    }

    @Override
    public void mixinJSON(Repository repo, CalculatorProvider c, JSONObject jo) {
        if (removeRepeat) {
            jo.put("norepeat", true);
        }
    }

    @Override
    public void readXML(XMLableReader xmLableReader) {

    }

    @Override
    public void writeXML(XMLPrintWriter xmlPrintWriter) {

    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
