package com.fanruan.api.util;

import com.fr.js.HyperlinkUtils;
import com.fr.js.NameJavaScriptGroup;
import com.fr.json.JSONArray;
import com.fr.json.JSONException;
import com.fr.stable.web.Repository;

/**
 * @author Lucian.Chen
 * @version 10.0
 * Created by Lucian.Chen on 2020/3/23
 */
public class HyperKit {

    /**
     * 写超链的内容
     *
     * @param g    超级链接的集合
     * @param repo 库
     * @return JSONArray转化的字符串
     * @throws JSONException JSON异常   J
     */
    public static String writeJSLinkContent(NameJavaScriptGroup g, Repository repo) throws JSONException {
        return HyperlinkUtils.writeJSLinkContent(g, repo);
    }

    /**
     * 把超链转化成json
     *
     * @param g    超链
     * @param repo 库
     * @return json对象
     * @throws JSONException JSON异常
     */
    public static JSONArray createJSLink(NameJavaScriptGroup g, Repository repo) throws JSONException {
        return HyperlinkUtils.createJSLink(g, repo);
    }
}
